<?php
/**
 * Template part for displaying a list of jobs
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package WordPress
 * @subpackage Biuro
 * @since 1.0.0
 */

global $jobs;

?>

<table cellspacing="0" cellpadding="0" class="c-jobs-list">
    <tr>
        <th class="c-jobs-list--head">Pozicija </th>
        <th class="c-jobs-list--head">Vietovė</th>
        <th class="c-jobs-list--head">Galioja iki</th>
    </tr>

<?php
        while ( $jobs->fetch() ) :
            $ID =  $jobs->display( 'ID' );
            $i++;
?>
    <tr <?php if ( $i % 2 != 0 ) { echo 'class="c-jobs-list--row-odd"'; } ?>>
        <td class="c-jobs-list--col c-jobs-list--col-position">
            <a href="<?php echo get_post_permalink( $ID ); ?>" title="<?php echo $jobs->display( 'name' ); ?>">
                <strong><?php echo $jobs->display( 'name' ); ?></strong>
            </a>
        </td>
        <td class="c-jobs-list--col c-jobs-list--col-city">
            <?php echo $jobs->display( 'city' ); ?>
        </td>
        <td class="c-jobs-list--col c-jobs-list--col-valid">
            <?php echo $jobs->display( 'valid' ); ?>
        </td>
    </tr>

<?php
        endwhile;
?>

</table>

<?php

    echo $jobs->pagination( array(
        'type' => 'paginate' ,
        'prev_text' => '‹ ' . pll__('Previous'),
        'next_text' => pll__('Next') . ' ›'
    ) );

?>

