<?php
/**
 * The front page template file
 *
 * If the user has selected a static page for their homepage, this is what will
 * appear.
 * Learn more: https://codex.wordpress.org/Template_Hierarchy
 *
 * @package WordPress
 * @subpackage Biuro
 * @since 1.0
 * @version 1.0
 */

    get_header();
?>

<?php
    // Use for search
    // https://pods.io/docs/code/pods/find/

    $where = 'valid.meta_value > "' . date('Y-m-d', strtotime('-1 days')) . '"';
    // $where = 'valid.meta_value > "' . date('Y-m-d', strtotime('-1 days')) . '" AND (t.post_title LIKE "%' . searchQuery . '%" OR  t.post_content LIKE "%' . searchQuery . '%")';

    $params = array(
        'orderby' => 'date DESC',
        'where' => $where,
        'limit'   => 21
    );

    $jobs = pods( 'job', $params );

    if ( 0 < $jobs->total() ):

        get_template_part( 'template-parts/jobs/jobs', 'list' );

    else:

        get_template_part( 'template-parts/jobs/jobs', 'none' );

    endif;
?>


<?php get_footer();
