<?php
        $menu_name = 'main-menu';
        $locations = get_nav_menu_locations();
        $menu = $locations ? wp_get_nav_menu_object( $locations[ $menu_name ] ) : null;
        $menu_items = $menu ? wp_get_nav_menu_items( $menu->term_id, array( 'order' => 'DESC' ) ) : array();
        $items = array();
        $ID = get_the_ID();
        $no = 0;
        $main = '';


        foreach( $menu_items as $menu_item ) {
            if ($menu_item->menu_item_parent == 0) {

                $no++;
                $items[$menu_item->ID]['props'] = $menu_item;
                $items[$menu_item->ID]['no'] = $no;
                $items[$menu_item->ID]['active'] = ($menu_item->object_id == $ID) ? true : false;
            } else {
                $items[$menu_item->menu_item_parent]['children'][] = $menu_item;

                if ($menu_item->object_id == $ID) {
                    $items[$menu_item->menu_item_parent]['active'] = true;
                }
            }
        }

        $main .= '<ul class="o-nav c-nav--main">';
        foreach($items as $item) {
            $children = array_key_exists('children', $item);
            // $url = ($children && $item['no'] != 1) ? $item['children'][0]->url : $item['props']->url;
            $url = ($children) ? $item['children'][0]->url : $item['props']->url;

            // $main .= '<li class="style_' . $item['no'] . '">';
            $main .= '<li class="c-nav--main-item">';

            $classCSS = ($item['active']) ? 'act"' : '';
            $main .= '<a href="' . $url . '" title="' . get_the_title($item['props']->object_id) . '" class="c-nav--main-anchor ' . $classCSS . '">' . $item['props']->title . '</a>';

            if ( $children ) :
                $main .= '<ul class="o-nav c-nav--sub">';

                foreach($item['children'] as $child) :
                    $classCSS = ($child->object_id == $ID) ? 'act' : '';
                    $main .= '<li class="c-nav--sub-item"><a href="' . $child->url . '" title="' . get_the_title($child->object_id) . '" class="c-nav--sub-anchor ' . $classCSS .'">' . $child->title . '</a></li>';
                endforeach;

                $main .= '</ul>';
            endif;

            $main .= '</li>';
        }
        $main .= '</ul>';

        echo $main;
    ?>
